# Method: mobiledevices.delete

Removes a mobile device.

### HTTP request

`DELETE https://admin.googleapis.com/admin/directory/v1/customer/{customerId}/devices/mobile/{resourceId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](https://developers.google.com/workspace/admin/directory/v1/reference/users). |
| `resourceId` | `string` The unique ID the API service uses to identify the mobile device. |

### Request body

The request body must be empty.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.directory.device.mobile`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).